Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
PlaneF Class Reference

`#include <mPlane.h>`

Inheritance diagram for PlaneF:

## Public Types
enum | Side { Front = 1, On = 0, Back = -1 }

## Public Member Functions
| PlaneF ()
| PlaneF (const Point3F &p, const Point3F &n)
| PlaneF (F32 _x, F32 _y, F32 _z, F32 _d)
| PlaneF (const Point3F &j, const Point3F &k, const Point3F &l)
bool | operator== (const PlaneF &a) const
bool | operator!= (const PlaneF &a) const
void | set (const F32 _x, const F32 _y, const F32 _z)
void | set (const Point3F &p, const Point3F &n)
void | set (const Point3F &k, const Point3F &j, const Point3F &l)
void | setPoint (const Point3F &p)
void | setXY (F32 zz)
void | setYZ (F32 xx)
void | setXZ (F32 yy)
void | setXY (const Point3F &P, F32 dir)
void | setYZ (const Point3F &P, F32 dir)
void | setXZ (const Point3F &P, F32 dir)
void | shiftX (F32 xx)
void | shiftY (F32 yy)
void | shiftZ (F32 zz)
void | invert ()
void | neg ()
Point3F | project (Point3F pt)
F32 | distToPlane (const Point3F &cp) const
Side | whichSide (const Point3F &cp) const
F32 | intersect (const Point3F &start, const Point3F &end) const
bool | isHorizontal () const
bool | isVertical () const
Side | whichSideBox (const Point3F &center, const Point3F &axisx, const Point3F &axisy, const Point3F &axisz, const Point3F &offset) const
Public Member Functions inherited from Point3F
| Point3F ()
| Point3F (const Point3F &)
| Point3F (const F32 _x, const F32 _y, const F32 _z)
void | set (const F32 _x, const F32 _y, const F32 _z)
void | set (const Point3F &)
void | setMin (const Point3F &)
void | setMax (const Point3F &)
void | interpolate (const Point3F &, const Point3F &, const F32)
void | zero ()
F32 & | operator[] (int i)
| operator F32 * ()
| operator F32 * () const
bool | isZero () const
F32 | len () const
F32 | lenSquared () const
F32 | magnitudeSafe ()
bool | equal (Point3F &compare)
void | neg ()
void | normalize ()
void | normalizeSafe ()
void | normalize (F32 val)
void | convolve (const Point3F &)
void | convolveInverse (const Point3F &)
bool | operator== (const Point3F &) const
bool | operator!= (const Point3F &) const
Point3F | operator+ (const Point3F &) const
Point3F | operator- (const Point3F &) const
Point3F & | operator+= (const Point3F &)
Point3F & | operator-= (const Point3F &)
Point3F | operator* (const F32) const
Point3F | operator/ (const F32) const
Point3F & | operator*= (const F32)
Point3F & | operator/= (const F32)
Point3F | operator* (const Point3F &) const
Point3F & | operator*= (const Point3F &)
Point3F | operator- () const

## Public Attributes
F32 | d
Public Attributes inherited from Point3F
F32 | x
F32 | y
F32 | z

## Additional Inherited Members
Static Public Attributes inherited from Point3F
static const Point3F | One
static const Point3F | Zero
static const Point3F | Max
static const Point3F | Min
static const Point3F | UnitX
static const Point3F | UnitY
static const Point3F | UnitZ

## Member Enumeration Documentation

enum Side

Enumerator
Front |
On |
Back |

## Constructor & Destructor Documentation

PlaneF | ( |  | ) |
| inline

PlaneF | ( | const Point3F & | p,
|  | const Point3F & | n
| ) |  |
| inline

PlaneF | ( | F32 | _x,
|  | F32 | _y,
|  | F32 | _z,
|  | F32 | _d
| ) |  |
| inline

PlaneF | ( | const Point3F & | j,
|  | const Point3F & | k,
|  | const Point3F & | l
| ) |  |
| inline

## Member Function Documentation

F32 distToPlane | ( | const Point3F & | cp | ) | const
| inline

F32 intersect | ( | const Point3F & | start,
|  | const Point3F & | end
| ) |  | const
| inline

void invert | ( |  | ) |
| inline

bool isHorizontal | ( |  | ) | const
| inline

bool isVertical | ( |  | ) | const
| inline

void neg | ( |  | ) |
| inline

bool operator!= | ( | const PlaneF & | a | ) | const
| inline

bool operator== | ( | const PlaneF & | a | ) | const
| inline

Point3F project | ( | Point3F | pt | ) |
| inline

void set | ( | const F32 | _x,
|  | const F32 | _y,
|  | const F32 | _z
| ) |  |
| inline

void set | ( | const Point3F & | p,
|  | const Point3F & | n
| ) |  |
| inline

void set | ( | const Point3F & | k,
|  | const Point3F & | j,
|  | const Point3F & | l
| ) |  |
| inline

Calculate the coefficients of the plane passing through three points. Basically it calculates the normal to the three points then calculates a plane through the middle point with that normal.

void setPoint | ( | const Point3F & | p | ) |
| inline

Calculate the coefficients of the plane passing through a point with the given normal.

void setXY | ( | F32 | zz | ) |
| inline

void setXY | ( | const Point3F & | P,
|  | F32 | dir
| ) |  |
| inline

void setXZ | ( | F32 | yy | ) |
| inline

void setXZ | ( | const Point3F & | P,
|  | F32 | dir
| ) |  |
| inline

void setYZ | ( | F32 | xx | ) |
| inline

void setYZ | ( | const Point3F & | P,
|  | F32 | dir
| ) |  |
| inline

void shiftX | ( | F32 | xx | ) |
| inline

void shiftY | ( | F32 | yy | ) |
| inline

void shiftZ | ( | F32 | zz | ) |
| inline

PlaneF::Side whichSide | ( | const Point3F & | cp | ) | const
| inline

PlaneF::Side whichSideBox | ( | const Point3F & | center,
|  | const Point3F & | axisx,
|  | const Point3F & | axisy,
|  | const Point3F & | axisz,
|  | const Point3F & | offset
| ) |  | const
| inline

## Member Data Documentation

F32 d

The documentation for this class was generated from the following file:

- math/mPlane.h